For the complete documentation index, see llms.txt. This page is also available as Markdown.

Exchange

Exchange of funds within client balances

post

Exchange of funds within client balances

Authorizations
AuthorizationstringRequired
Body
amountnumberRequired
from_balance_idintegerRequired
order_idstringRequired
product_idintegerRequired
ratenumberRequired

Commission float64 json:"commission" binding:"required"

to_balance_idintegerRequired
user_idintegerOptional
Responses
204

No Content

No content

post/api/transfer/exchange
POST /api/transfer/exchange HTTP/1.1
Host: api.client.nbcgate.tech/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 104

{
  "amount": 1,
  "from_balance_id": 1,
  "order_id": "text",
  "product_id": 1,
  "rate": 1,
  "to_balance_id": 1,
  "user_id": 1
}

No content